/*
 * RJIS.H ( Recover JIS code from broken file )
 * Copyright (C) 1992 1994
 * Hironobu Takahashi (takahasi@tiny.or.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either versions 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SKK, see the file COPYING.  If not, write to the Free
 * Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <sys/types.h>

#ifdef __STDC__
extern void exit(int);
extern int fprintf(FILE *, const char *, ...);
extern int _filbuf(FILE *);
extern int _flsbuf(unsigned int, FILE *);
extern void perror(const char *);
extern int fread(void *, size_t, size_t, FILE *);
extern int fclose(FILE *);
extern int fwrite(const void *, size_t, size_t, FILE *);
extern char *malloc(size_t);
extern char *strcpy(char *, const char *);
#else
extern void exit();
extern int fprintf();
extern int _filbuf();
extern int _flsbuf();
extern void perror();
extern int fread();
extern int fclose();
extern int fwrite();
extern char *malloc();
extern char *strcpy();
#endif
